# Uses of Class
org.springframework.cglib.core.ClassEmitter

Packages that use ClassEmitter
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).
org.springframework.cglib.transform.impl
Spring's repackaging of the CGLIB transform impl package (for internal use only).

## Uses of ClassEmitter in org.springframework.cglib.core

Methods in org.springframework.cglib.core that return ClassEmitter
Modifier and Type
Method
Description
`ClassEmitter`
CodeEmitter.`getClassEmitter()`
Methods in org.springframework.cglib.core with parameters of type ClassEmitter
Modifier and Type
Method
Description
`static void`
EmitUtils.`add_properties(ClassEmitter ce, String[] names, Type[] types)`
`static void`
EmitUtils.`add_property(ClassEmitter ce, String name, Type type, String fieldName)`
`static CodeEmitter`
EmitUtils.`begin_method(ClassEmitter e, MethodInfo method)`
`static CodeEmitter`
EmitUtils.`begin_method(ClassEmitter e, MethodInfo method, int access)`
`static void`
EmitUtils.`factory_method(ClassEmitter ce, Signature sig)`
`static void`
EmitUtils.`null_constructor(ClassEmitter ce)`

## Uses of ClassEmitter in org.springframework.cglib.transform

Subclasses of ClassEmitter in org.springframework.cglib.transform
Modifier and Type
Class
Description
`class`
`ClassEmitterTransformer`

## Uses of ClassEmitter in org.springframework.cglib.transform.impl

Subclasses of ClassEmitter in org.springframework.cglib.transform.impl
Modifier and Type
Class
Description
`class`
`AccessFieldTransformer`
`class`
`AddDelegateTransformer`
`class`
`AddInitTransformer`
`class`
`AddPropertyTransformer`
`class`
`AddStaticInitTransformer`
`class`
`FieldProviderTransformer`
`class`
`InterceptFieldTransformer`
`class`
`UndeclaredThrowableTransformer`